[arch-commits] Commit in kdevelop/trunk (PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Sun Jul 26 12:58:09 EDT 2009


    Date: Sunday, July 26, 2009 @ 12:58:09
  Author: giovanni
Revision: 47748

upgpkg: kdevelop 3.9.94-2

Modified:
  kdevelop/trunk/PKGBUILD

----------+
 PKGBUILD |   46 ++++++++++++++++++----------------------------
 1 file changed, 18 insertions(+), 28 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-07-26 16:55:31 UTC (rev 47747)
+++ PKGBUILD	2009-07-26 16:58:09 UTC (rev 47748)
@@ -1,38 +1,28 @@
 # $Id$
-# Maintainer: Andrea Scarpino <bash at archlinux.it>
-# Contributor: damir <damir at archlinux.org>
-# Contributor: Travis Willard <travis at archlinux.org> 
-# Committer: Judd Vinet <jvinet at zeroflux.org>
+# Maintainer: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: Giovanni Scafora <giovanni at archlinux.org>
 
 pkgname=kdevelop
-pkgver=3.5.4
+pkgver=3.9.94
 pkgrel=2
-pkgdesc="A C/C++ development environment for KDE - stable snapshot build"
+pkgdesc="A C/C++ development environment for KDE"
 arch=('i686' 'x86_64')
 url="http://www.kdevelop.org/"
 license=('GPL')
-depends=('kdelibs3>=3.5.9' 'flex>=2.5.4' 'gcc' 'perl' 'make' 
-         'automake>=1.6' 'autoconf>=2.52' 'gettext' 'db>=4.7' 'cvs' 'subversion')
-replaces=('kdevelop3-cvs') # compatibility reasons
-conflicts=('kdevelop-devel')
-options=('!makeflags')
-source=(http://download.kde.org/stable/3.5.10/src/${pkgname}-${pkgver}.tar.bz2
-        kdevelop-3.5.4-gcc44.patch)
-md5sums=('06aa12a89b2c09968a92e1d8b575819c'
-         '90b2be44dd5bf7d48ce981dfa3207cdb')
+depends=('kdebase-workspace' 'kdevplatform')
+makedepends=('cmake' 'automoc4' 'perl')
+source=("http://download.kde.org/unstable/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.bz2")
+md5sums=('f5c5f042ccc34fb877c6080ae2ff8bc5')
 
 build() {
-   # Source the QT and KDE profile
-   [ "$QTDIR" = "" ] && source /etc/profile.d/qt3.sh 
-   [ "$KDEDIR" = "" ] && source /etc/profile.d/kde3.sh
-   # start building
-   cd ${srcdir}/${pkgname}-${pkgver}
-   patch -Np1 -i ${srcdir}/kdevelop-3.5.4-gcc44.patch || return 1
-   ./configure --prefix=/opt/kde \
-               --enable-gcc-hidden-visibility \
-	       --without-arts || return 1
-   make || return 1
-   make DESTDIR=${pkgdir} install || return 1
-   rm -f ${pkgdir}/opt/kde/bin/extractrc
+  cd ${srcdir}
+  mkdir build
+  cd build 
+  cmake ../${pkgname}-${pkgver} \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_BUILD_TYPE=Release \
+    -DCMAKE_SKIP_RPATH=ON \
+    -DCMAKE_{SHARED,MODULE,EXE}_LINKER_FLAGS='-Wl,--no-undefined -Wl,--as-needed'
+  make || return 1
+  make DESTDIR=${pkgdir} install || return 1
 }
-



More information about the arch-commits mailing list